aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2008-05-17 17:54:21 -0500
committerRob Landley <rob@landley.net>2008-05-17 17:54:21 -0500
commit76ab4754a79b9c7f433eeb365a57c9c66388277d (patch)
tree73c66f9b8747beb8cfa61b94a364bb31b68c9d89 /scripts
parent59f490cb4e18960e7ddd003f9a66005eccc5ebd7 (diff)
downloadtoybox-76ab4754a79b9c7f433eeb365a57c9c66388277d.tar.gz
Add seq, and tests for it.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/test/seq.test25
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/test/seq.test b/scripts/test/seq.test
new file mode 100755
index 00000000..d255f82d
--- /dev/null
+++ b/scripts/test/seq.test
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+[ -f testing.sh ] && . testing.sh
+
+#testing "name" "command" "result" "infile" "stdin"
+
+testing "seq (exit with error)" "seq 2> /dev/null || echo yes" "yes\n" "" ""
+testing "seq (exit with error)" "seq 1 2 3 4 2> /dev/null || echo yes" \
+ "yes\n" "" ""
+testing "seq one argument" "seq 3" "1\n2\n3\n" "" ""
+testing "seq two arguments" "seq 5 7" "5\n6\n7\n" "" ""
+testing "seq two arguments reversed" "seq 7 5" "" "" ""
+testing "seq two arguments equal" "seq 3 3" "3\n" "" ""
+testing "seq two arguments equal, arbitrary negative step" "seq 1 -15 1" \
+ "1\n" "" ""
+testing "seq two arguments equal, arbitrary positive step" "seq 1 +15 1" \
+ "1\n" "" ""
+testing "seq count up by 2" "seq 4 2 8" "4\n6\n8\n" "" ""
+testing "seq count down by 2" "seq 8 -2 4" "8\n6\n4\n" "" ""
+testing "seq count wrong way #1" "seq 4 -2 8" "" "" ""
+testing "seq count wrong way #2" "seq 8 2 4" "" "" ""
+testing "seq count by .3" "seq 3 .3 4" "3\n3.3\n3.6\n3.9\n" "" ""
+testing "seq count by -.9" "seq .7 -.9 -2.2" "0.7\n-0.2\n-1.1\n-2\n" "" ""
+testing "seq count by zero" "seq 4 0 8 | head -n 10" "" "" ""
+